> This page is for Developers.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://zuora.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://zuora.ferndocs.com/_mcp/server.

# List commitments for an account

GET https://rest.test.zuora.com/commitments

Retrieves a paginated list of commitments for a commitment owner account.

Reference: https://zuora.ferndocs.com/developers/api-reference/zuora-api/orders-and-subscriptions/commitments/get-commitments

## Authentication

- `Authorization` header (bearer token, required) — Use `Bearer {{token}}` in the `Authorization` header for authentication.

## Servers

- `https://rest.test.zuora.com` (US Developer & Central Sandbox (incl. Test Drive), default)
- `https://rest.sandbox.na.zuora.com` (US API Sandbox Cloud 1)
- `https://rest.apisandbox.zuora.com` (US API Sandbox Cloud 2)
- `https://rest.na.zuora.com` (US Production Cloud 1)
- `https://rest.zuora.com` (US Production Cloud 2)
- `https://rest.test.eu.zuora.com` (EU Developer & Central Sandbox)
- `https://rest.sandbox.eu.zuora.com` (EU API Sandbox)
- `https://rest.eu.zuora.com` (EU Production)
- `https://rest.test.ap.zuora.com` (APAC Developer & Central Sandbox)
- `https://rest.ap.zuora.com` (APAC Production)

## Request

### Query parameters

- `accountNumber` (string, required) — Account number to fetch commitments for.
- `type` (enum, optional) — Filter commitments by type.
  - Allowed values: `MinCommitment`, `MaxCommitment`
- `page` (integer, optional, default: 1) — Page number for pagination.
- `pageSize` (integer, optional, default: 20) — Page size for pagination.

### Headers

- `Accept-Encoding` (string, optional) — Include the `Accept-Encoding: gzip` header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a `Content-Encoding` header with the compression algorithm so that your client can decompress it.
- `Content-Encoding` (string, optional) — Include the `Content-Encoding: gzip` header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.
- `Zuora-Entity-Ids` (string, optional) — An entity ID. If you have [Zuora Multi-entity](https://knowledgecenter.zuora.com/BB_Introducing_Z_Business/Multi-entity) enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.
- `Zuora-Org-Ids` (string, optional) — Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs.
- `Zuora-Track-Id` (string, optional) — A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (`:`), semicolon (`;`), double quote (`"`), and quote (`'`).
- `Zuora-Version` (string, optional) — The minor API version. For a list of available minor versions, see [API upgrades](https://developer.zuora.com/v1-api-reference/api-upgrades/).

## Response

### 200

OK

- `total` (integer, optional) — Total number of commitments returned.
- `page` (integer, optional) — Current page number.
- `page_size` (integer, optional) — Number of commitments per page.
- `commitments` (list of GetCommitmentResponse, optional) — List of commitments.

## Errors

### 500 Internal Server Error

Internal Server Error

- `reasons` (list of ErrorResponseReasonsItems, optional)

### 400 Client Request Error

Request Errors

- `processId` (string, optional) — The ID of the process that handles the operation.
- `reasons` (list of CommonResponseReasonsItems, optional) — The container of the error code and message. This field is available only if the `success` field is `false`.
- `requestId` (string, optional) — Unique identifier of the request.
- `success` (boolean, optional) — Indicates whether the call succeeded.

## Types

### GetCommitmentResponse

- `id` (string, optional) — ID of the commitment.
- `status` (enum, optional) — Status of the commitment.
  - Allowed values: `Active`, `Cancelled`, `Evaluated`, `CancelledPendingEvaluation`
- `version` (integer, optional) — Version of the commitment.
- `startDate` (date, optional) — The start date of the commitment.
- `endDate` (date, optional) — The end date of the commitment.
- `totalAmount` (double, optional) — The commitment amount.
- `currency` (string, optional) — Currency of the commitment.
- `orderNumber` (string, optional) — The number of the order.
- `orderId` (string, optional) — The ID of the order.
- `accountId` (string, optional) — The ID of the commitment owner account.
- `accountNumber` (string, optional) — Use this field to assign an existing account as the owner of an Commitment.
- `commitmentNumber` (string, optional) — The number of the commitment.
- `name` (string, optional) — The name of the commitment.
- `type` (enum, optional) — The type of the commitment.
  - Allowed values: `MinCommitment`, `MaxCommitment`
- `prepaymentType` (enum, optional) — The prepayment type of the commitment. **Note**: `FullyPrepaid` commitments will not be considered for true-up during invoice generation.
  - Allowed values: `FullyPrepaid`, `NotPrepaid`
- `description` (string, optional) — The description about this commitment.
- `priority` (integer, optional) — The priority of the commitment. It defines the evaluation order of the commitment. The lower the number, the higher the priority. When two commitments have the same priority, the one with the earlier created time will be evaluated first.
- `customFields` (map from string to string, optional) — Container for custom fields of a Commitment object.
- `accountReceivableAccountingCode` (string, optional) — The accounting code on the Commitment object for customers
- `adjustmentLiabilityAccountingCode` (string, optional) — The accounting code on the commitment for customers. **Note**: This field is only available if you have the Order to Revenue feature enabled.
- `adjustmentRevenueAccountingCode` (string, optional) — The accounting code on the commitment for customers. **Note**: This field is only available if you have the Order to Revenue feature enabled.
- `cancellationPolicy` (CancellationPolicy, optional) — Cancellation policy configuration for a commitment. Defines how settlements are handled when a commitment is cancelled.
- `cancellationEffectiveDate` (date, optional) — The effective date when the commitment cancellation takes effect.
- `contractAssetAccountingCode` (string, optional) — The accounting code on the commitment for customers. **Note**: This field is only available if you have the Order to Revenue feature enabled.
- `contractLiabilityAccountingCode` (string, optional) — The accounting code on the commitment for customers. **Note**: This field is only available if you have the Order to Revenue feature enabled.
- `contractRecognizedRevenueAccountingCode` (string, optional) — The accounting code on the commitment for customers. **Note**: This field is only available if you have the Order to Revenue feature enabled.
- `deferredRevenueAccountingCode` (string, optional) — The deferred revenue accounting code for the commitment.
- `excludeItemBookingFromRevenueAccounting` (boolean, optional, default: true) — The flag to exclude commitment related booking items from revenue accounting.
- `excludeItemBillingFromRevenueAccounting` (boolean, optional) — The flag to exclude commitment related invoice items, invoice item adjustments, credit memo items, and debit memo items from revenue accounting. **Note**: This field is only available if you have the Order to Revenue feature enabled.
- `eligibleAccountConditions` (EligibleAccountCondition, optional) — The conditions for account level filters for the commitment.
- `eligibleChargeConditions` (EligibleChargeCondition, optional) — The conditions for charge level filters for the commitment.
- `periodAlignmentOption` (enum, optional, default: CommitmentStartDate) — Options for aligning the commitment periods within a commitment.
  - Allowed values: `CommitmentStartDate`, `SpecificDate`
- `specificPeriodAlignmentDate` (date, optional) — The specific date for period alignment, required if `periodAlignmentOption` is `SpecificDate`.
- `isAllocationEligible` (boolean, optional) — This field is used to identify if the commitment is allocation eligible in revenue recognition. **Note**: This field is only available if you have the Order to Revenue feature enabled.
- `isUnbilled` (boolean, optional) — This field is used to dictate how to perform the accounting during revenue recognition. **Note**: This field is only available if you have the Order to Revenue feature enabled.
- `recognizedRevenueAccountingCode` (string, optional) — The recognized revenue accounting code for the commitment.
- `revenueAmortizationMethod` (string, optional) — This field is used to dictate the type of revenue amortization method.
- `revenueRecognitionRule` (string, optional) — The revenue recognition rule for the commitment.
- `revenueRecognitionTiming` (string, optional) — This field is used to dictate the type of revenue recognition timing.
- `unbilledReceivablesAccountingCode` (string, optional) — The accounting code on the commitment for customers. **Note**: This field is only available if you have the Order to Revenue feature enabled.
- `taxable` (boolean, optional) — Determines whether the true-up invoice of a commitment is taxable. If the value is `true`, the tax code and tax mode are required.
- `taxCode` (string, optional) — Identifies which tax rules and tax rates to apply to the corresponding billing document.
- `taxMode` (enum, optional) — The tax mode that determines whether tax is included or exclueded from the billing document.
  - Allowed values: `TaxInclusive`, `TaxExclusive`

### ErrorResponseReasonsItems

- `code` (string, optional) — The error code of response.
- `message` (string, optional) — The detail information of the error response

### CommonResponseReasonsItems

- `code` (string, optional) — The error code of response.
- `message` (string, optional) — The detail information of the error response

### CancellationPolicy

Cancellation policy configuration for a commitment. Defines how settlements are handled when a commitment is cancelled.

- `settlementType` (enum, optional, default: NoSettlement) — Settlement type for commitment cancellation.
  - Allowed values: `NoSettlement`, `FullMinimum`, `PeriodMinimum`

### EligibleAccountCondition

The conditions for account level filters for the commitment.

- `field` (string, optional) — The field name of a single condition.
- `operator` (enum, optional) — The operator of a single condition. Example: * eq: equal, field = value * neq: not equal, field != value * gt: greater than, field > value * lt: less than, field \< value * gte: greater than or equal, field >= value * lte: less than or equal, field \<= value - lk: like, field like value * in: in, field in value, multiple values are separated by commas * nl: null, field is null * nnl: not null, field is not null
  - Allowed values: `eq`, `neq`, `gt`, `lt`, `gte`, `lte`, `lk`, `in`, `nl`, `nnl`
- `value` (string, optional) — The value of a single condition, which can be a list of values separated by commas. **Notes:** Account Condition only contains account related fields. Support is provided only for the indexed custom fields.
- `conditions` (list of EligibleAccountCondition, optional) — The conditions will be combined by the relation.
- `relation` (enum, optional) — The relation among the conditions.
  - Allowed values: `and`, `or`

### EligibleChargeCondition

The conditions for charge level filters for the commitment.

- `field` (string, optional) — The field name of a single condition.
- `operator` (enum, optional) — The operator of a single condition. Example: * eq: equal, field = value * neq: not equal, field != value * gt: greater than, field > value * lt: less than, field \< value * gte: greater than or equal, field >= value * lte: less than or equal, field \<= value * lk: like, field like value * in: in, field in value, multiple values are separated by commas * nl: null, field is null * nnl: not null, field is not null
  - Allowed values: `eq`, `neq`, `gt`, `lt`, `gte`, `lte`, `lk`, `in`, `nl`, `nnl`
- `value` (string, optional) — The value of a single condition, which can be a list of values separated by commas. **Notes:** - PPDD (PrePaid DrawDown) charge will not be loaded during evaluation. - Charge condition only contains charge related fields. Support is provided only for the indexed custom fields. - Charge types supports only the OneTime, Recurring and Usage values. - Charge models supports only the FlatFee, PerUnit, Overage, Volume Tiered, TieredWithOverage, and Calculated values.
- `conditions` (list of EligibleChargeCondition, optional) — The conditions will be combined by the relation.
- `relation` (enum, optional) — The relation among the conditions.
  - Allowed values: `and`, `or`

## Examples

**Response**

```json
{
  "total": 1,
  "page": 1,
  "page_size": 20,
  "commitments": [
    {
      "id": "8ad08ca797ef6ca50197f3cce6267991",
      "status": "Active",
      "version": 1,
      "startDate": "2020-01-01",
      "endDate": "2020-12-31",
      "totalAmount": 100,
      "currency": "USD",
      "orderNumber": "O-0001",
      "orderId": "00989e98483e00030a2733ee989e9815",
      "accountId": "8a8aa0ac7f3b4c1d017f3b4c1d0a0001",
      "accountNumber": "ACC-0001",
      "commitmentNumber": "TW-0001",
      "name": "Example Commitment",
      "type": "MinCommitment",
      "prepaymentType": "NotPrepaid",
      "description": "This a example commitment.",
      "priority": 1,
      "customFields": {},
      "accountReceivableAccountingCode": "Accounts Receivable",
      "adjustmentLiabilityAccountingCode": "Accounts Receivable",
      "adjustmentRevenueAccountingCode": "Accounts Receivable",
      "cancellationPolicy": {
        "settlementType": "NoSettlement"
      },
      "cancellationEffectiveDate": "2020-06-30",
      "contractAssetAccountingCode": "Accounts Receivable",
      "contractLiabilityAccountingCode": "Accounts Receivable",
      "contractRecognizedRevenueAccountingCode": "Accounts Receivable",
      "deferredRevenueAccountingCode": "Accounts Receivable",
      "excludeItemBookingFromRevenueAccounting": true,
      "excludeItemBillingFromRevenueAccounting": false,
      "eligibleAccountConditions": {
        "field": "Account.AccountNumber",
        "operator": "eq",
        "value": "ACC-0001",
        "conditions": [
          {}
        ],
        "relation": "and"
      },
      "eligibleChargeConditions": {
        "field": "RatePlanCharge.ChargeNumber",
        "operator": "in",
        "value": "C-0001,C-0002",
        "conditions": [
          {}
        ],
        "relation": "and"
      },
      "periodAlignmentOption": "SpecificDate",
      "specificPeriodAlignmentDate": "2020-01-15",
      "isAllocationEligible": true,
      "isUnbilled": false,
      "recognizedRevenueAccountingCode": "Accounts Receivable",
      "revenueAmortizationMethod": "string",
      "revenueRecognitionRule": "Recognize upon invoicing",
      "revenueRecognitionTiming": "Upon Order Activation Date",
      "unbilledReceivablesAccountingCode": "Accounts Receivable",
      "taxable": true,
      "taxCode": "SalesTax_US",
      "taxMode": "TaxInclusive"
    }
  ]
}
```

**SDK Code**

```python Commitments_getCommitments_example
import requests

url = "https://rest.test.zuora.com/commitments"

querystring = {"accountNumber":"accountNumber"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Commitments_getCommitments_example
const url = 'https://rest.test.zuora.com/commitments?accountNumber=accountNumber';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Commitments_getCommitments_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://rest.test.zuora.com/commitments?accountNumber=accountNumber"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Commitments_getCommitments_example
require 'uri'
require 'net/http'

url = URI("https://rest.test.zuora.com/commitments?accountNumber=accountNumber")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Commitments_getCommitments_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://rest.test.zuora.com/commitments?accountNumber=accountNumber")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Commitments_getCommitments_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://rest.test.zuora.com/commitments?accountNumber=accountNumber', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Commitments_getCommitments_example
using RestSharp;

var client = new RestClient("https://rest.test.zuora.com/commitments?accountNumber=accountNumber");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Commitments_getCommitments_example
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://rest.test.zuora.com/commitments?accountNumber=accountNumber")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```